This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes

Bug 890799

Summary: Review Request: perl-Math-ConvexHull - Calculate convex hulls using Graham's scan (n*log(n))
Product: [Fedora] Fedora Reporter: Miro Hrončok <mhroncok>
Component: Package ReviewAssignee: Michael Scherer <misc>
Status: CLOSED CURRENTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: misc, notting, package-review, psabata
Target Milestone: ---Flags: misc: fedora‑review+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-01-11 19:18:35 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 890839    

Description Miro Hrončok 2012-12-30 04:09:42 EST
Spec URL: https://raw.github.com/hroncok/SPECS/master/perl-Math-ConvexHull.spec
SRPM URL: https://github.com/downloads/hroncok/SPECS/perl-Math-ConvexHull-1.04-3.fc17.src.rpm

Description:
Math::ConvexHull is a simple module that calculates convex hulls from a set
of points in 2D space. It is a straightforward implementation of the
algorithm known as Graham's scan which, with complexity of O(n*log(n)), is
the fastest known method of finding the convex hull of an arbitrary set of
points. There are some methods of eliminating points that cannot be part of
the convex hull. These may or may not be implemented in a future version.

Fedora Account System Username: churchyard
Comment 1 Michael Scherer 2012-12-30 07:26:03 EST
Package is good, modulo the lack of license file, but that's not blocking. Can you ask upstream about it ?


Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package complies to the Packaging Guidelines
[-]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 1 files have unknown license. Detailed output of
     licensecheck in /home/misc/checkout/git/FedoraReview/890799-perl-Math-
     ConvexHull/licensecheck.txt
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: If the package is under multiple licenses, the licensing breakdown must
     be documented in the spec.
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 10240 bytes in 2 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.

Perl:
[x]: Package contains the mandatory BuildRequires and Requires:.
[x]: CPAN urls should be non-versioned.

===== SHOULD items =====

Generic:
[!]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: perl-Math-ConvexHull-1.04-3.fc19.noarch.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint perl-Math-ConvexHull
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
# echo 'rpmlint-done:'



Requires
--------
perl-Math-ConvexHull (rpmlib, GLIBC filtered):
    perl
    perl(:MODULE_COMPAT_5.16.2)
    perl(Exporter)
    perl(constant)
    perl(strict)
    perl(warnings)



Provides
--------
perl-Math-ConvexHull:
    perl(Math::ConvexHull)
    perl-Math-ConvexHull



MD5-sum check
-------------
http://www.cpan.org/authors/id/S/SM/SMUELLER/Math-ConvexHull-1.04.tar.gz :
  CHECKSUM(SHA256) this package     : b9041f08d58792308f204455a67a265799e88b279e5c2f54e3f8dee9594c0852
  CHECKSUM(SHA256) upstream package : b9041f08d58792308f204455a67a265799e88b279e5c2f54e3f8dee9594c0852


Generated by fedora-review 0.2.0 (Unknown) last change: Unknown
Buildroot used: fedora-rawhide-x86_64
Command line :./try-fedora-review -b 890799
Comment 2 Miro Hrončok 2012-12-30 07:59:13 EST
New Package SCM Request
=======================
Package Name: perl-Math-ConvexHull
Short Description: Calculate convex hulls using Graham's scan (n*log(n))
Owners: churchyard
Branches: f17 f18
Comment 3 Miro Hrončok 2012-12-30 08:08:11 EST
Thanks for the review.

As I can see, this has been released more then a year ago and it has only been released once (no more versions), so it doesn't seems very active and I don't like to bump version number just for the LICENSE file.
Comment 4 Miro Hrončok 2012-12-30 09:06:42 EST
Sorry for the "released only once" part, it was ment for perl-Math-ConvexHull-MonotoneChain.

Still, this is almost 2 yars old software, so I don't bother about the LICENSE file.
Comment 5 Kevin Fenzi 2012-12-30 16:01:59 EST
Git done (by process-git-requests).
Comment 6 Fedora Update System 2012-12-30 17:22:23 EST
perl-Math-ConvexHull-1.04-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/perl-Math-ConvexHull-1.04-3.fc17
Comment 7 Fedora Update System 2012-12-30 17:23:19 EST
perl-Math-ConvexHull-1.04-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/perl-Math-ConvexHull-1.04-3.fc18
Comment 8 Fedora Update System 2012-12-31 19:15:06 EST
perl-Math-ConvexHull-1.04-3.fc18 has been pushed to the Fedora 18 testing repository.
Comment 9 Petr Šabata 2013-01-02 04:46:00 EST
Package Change Request
======================
Package Name: perl-Math-ConvexHull
Branches: f17 f18
Owners:
InitialCC: perl-sig

Please add perl-sig user with watch* permissions only to all Fedora branches.
Comment 10 Gwyn Ciesla 2013-01-02 09:39:42 EST
Complete.
Comment 11 Fedora Update System 2013-01-11 19:18:38 EST
perl-Math-ConvexHull-1.04-3.fc18 has been pushed to the Fedora 18 stable repository.
Comment 12 Fedora Update System 2013-01-12 10:25:25 EST
perl-Math-ConvexHull-1.04-3.fc17 has been pushed to the Fedora 17 stable repository.